### Constructor

# GimpUi PreviewArea new

#### Declaration [src]

    GtkWidget*
    gimp_preview_area_new (
      void
    )

#### Description [src]

Creates a new `GimpPreviewArea` widget.

If the preview area is used to draw an image with transparency, you might want to default the checkboard size and colors to user-set Preferences. To do this, you may set the following properties on the newly created `GimpPreviewArea`:

    g_object_set (area,
                  "check-size",          gimp_check_size (),
                  "check-type",          gimp_check_type (),
                  "check-custom-color1", gimp_check_custom_color1 (),
                  "check-custom-color2", gimp_check_custom_color2 (),
                  NULL);

#### Return value

Type: `GtkWidget`

A new `GimpPreviewArea` widget.

Since GIMP 2.2.

The data is owned by the called function.